@import "dependencies";

$nieuwe-zaak-knop-height:$topbar-height - 9;

/* @group Nieuwe Zaak Popup */

    .nieuwezaak_wrap{
        position: relative;
        margin-top:4px;
        margin-left:4px;
        margin-right:10px;
        float:left;
        width: 76px;
        height:$nieuwe-zaak-knop-height;
        background-color:$secondary-color;
        @include border-radius(6px);
        z-index: 2;
        &.active{
            z-index: 5000;
            a{
                background-color:darken($secondary-color,15%);
                @include box-shadow(inset 0 1px 2px rgba(0,0,0,0.4));
            }
            border-color:#444;
        }
    }
    
    a.nieuwezaak{
        width:47px;
        height:$nieuwe-zaak-knop-height;
        display:block;
        font-size:1.2em;
        color:#393939;
        font-weight:bold;
        line-height:3;
        overflow: hidden;
        text-decoration: none;
        position: relative;
        float: left;
        text-shadow: 0 0 1px #fff;
        @include border-radius(6px 0 0 6px);
        &:hover{
            color:#000;
            text-decoration: none;
            border-color:#999;
            background-color:darken($secondary-color,8%);
        }
        &:active{
            background-color:darken($secondary-color,15%);
            @include box-shadow(inset 0 1px 2px rgba(0,0,0,0.4));
        }
        .icon-plus{
            width: 18px;
            height: 18px;
            display: block;
            top: 50%;
            left: 50%;
            position: absolute;
            margin-top: -9px;
            margin-left: -9px;
        }
    }

    .nieuwezaak-extra{
        @include border-radius(0 6px 6px 0);
        width: 28px;
        height:$nieuwe-zaak-knop-height;
        position: absolute;
        right: 0;
        top: 0;
        z-index: 1;
        border-left: 1px solid #BAC524;
        &:hover{
            cursor: pointer;
            background-color:darken($secondary-color,8%);
        }
        &:active,&.active,&.active:hover{
            background-color:darken($secondary-color,15%);
        }
        span{
            width: 100%;
            height: 9px;
            background: url(/images/nieuwezaak-extra.png) no-repeat center center;
            position: absolute;
            top: 50%;
            margin-top: -4px;
        }
    }
    
    .nieuwe_zaak_extra_box{
        background: none repeat scroll 0 0 #FFFFFF;
        border: 1px solid #888888;
        left: -1px;
        position: absolute;
        top: 48px;
        width: 240px;
        z-index: 14000;
        display: none;
        @include box-shadow(1px 1px 3px rgba(0,0,0,0.2));
        a{
            display: block;
            padding: 12px 10px 12px 40px;
            font-size:1.2em;
            background: url(/images/nieuw-x.png) no-repeat 12px center;
            text-decoration: none;
            color:#000;
            &:hover{
                background-color: #f4f4f4;
            }
            &:first-child{
                border-bottom: 1px dotted #888;
            }
        }
    }

    $nieuwe-zaak-popup-width:75%;
    
    .nieuwe_zaak_starten{
        width: $nieuwe-zaak-popup-width;
        background: #fff;
        @include box-shadow(0 0 10px rgba(0,0,0,0.5));
        border-left:none;
        position: fixed;
        left: 0px;
        top: $topbar-height;
        z-index: 3100;
        display: none;
        bottom:0;
        td{
            label{
                font-weight: 600;
            }
            &:first-child{
                padding-right: 40px;
            }
        }

        .zoek_veld{
            width:auto;
            input[type=text]{
                width: 300px;
            }
        }
        label .sub_text{
            font-size: 11px;
            color: #888;
            display: inline;
        }
        .zaaktype_onthouden{
            font-size: 12px;
            font-weight: 600;
            margin-top: 3px;
            input{
                margin-right: 3px;
            }
        }
        .radio-item,
        .checkbox-item{
            margin-bottom: 6px;
            &:last-child{
                margin-bottom: 0px;
            }
        }
        .file{
            background: url(/images/mime/icon-txt.png) no-repeat 0px center;
            padding: 6px;
            padding-left: 22px;
        }
        .validate-content{
            max-width:260px;
        }
    }

    .nieuwe_zaak_starten_content{
        height: 100%;
        overflow-y: auto;
        padding: 25px;
        @include box-sizing(border-box);
        h1{
            padding:5px 0 25px;
        }
    }
    
    .nieuwe_zaak_starten_popup .nieuwe_zaak_starten_tip{
        display: none;
    }
    
    .nieuwe_zaak_starten_tip{
        bottom: 100%;
        left: 28px;
        border: solid transparent;
        content: " ";
        height: 0;
        width: 0;
        position: absolute;
        pointer-events: none;
        border-color: rgba(247, 247, 247, 0);
        border-bottom-color: #f7f7f7;
        border-width: 10px;
        margin-left: -10px;
    }
    
    .ezra_nieuwe_zaak_tooltip-hide{
        position: absolute;
        top: 15px;
        right:15px;
        &:hover{
            cursor: pointer;
        }
        i{
            font-size:1.75em;
            color:#888;
            &:hover{
                color:#000;
            }
        }
    }
     
    .ie8 .nieuwe_zaak_starten_tip { background: url(/images/nieuwe_zaak_starten_tip-ie.png) no-repeat 0 0; }
    
    table.zaak_aanmaken{
        span{display: inline-block;}
        .tooltip-test{width:240px;}
    }
    
/* @end */

.gba-extra_options{
    border:1px solid #ccc;
    background:#f0f0f0;
    padding:10px;
    .extra_options{
        margin:0 !important;
    }
    .spinner-small{
        background:url(/images/spinner-timeline.gif) no-repeat 0 0;
        margin-left:10px;
        display: inline-block;
        float:none;
        margin-top:0;
    }
}

.betrokkene-in-onderzoek{
    td{
        background: rgb(255, 255, 222);
    }
}

.betrokkene-results-counter{
    padding:10px;
    border: 1px solid rgba(0,0,0,0.15);
    background: #ffffcc;
    margin:-3px 0 10px;
    display: block;
}

span.disabled{
    display: none;
}

@media screen and (max-width: 1240px) {
    .nieuwe_zaak_starten{
        width:100%;
    }
}